<?php
ob_start();
session_start();
include("admin/config.php");
include("admin/functions.php");
$error_message = '';
$success_message = '';

$base_url = ((isset($_SERVER['HTTPS']) && $_SERVER['HTTPS'] == "on") ? "https" : "http");
$base_url .= "://".$_SERVER['HTTP_HOST'];
$base_url .= str_replace(basename($_SERVER['SCRIPT_NAME']),"",$_SERVER['SCRIPT_NAME']);
define("BASE_URL", $base_url);
?>
<?php
// Getting the basic data for the website from database
$statement = $pdo->prepare("SELECT * FROM tbl_settings WHERE id=1");
$statement->execute();
$result = $statement->fetchAll(PDO::FETCH_ASSOC);
foreach ($result as $row)
{
	$logo = $row['logo'];
	$favicon = $row['favicon'];
	$contact_email = $row['contact_email'];
	$contact_phone = $row['contact_phone'];
	$color = $row['color'];
	$preloader_status = $row['preloader_status'];
}

$statement = $pdo->prepare("SELECT * FROM tbl_menu_home WHERE id=1");
$statement->execute();
$result = $statement->fetchAll(PDO::FETCH_ASSOC);
foreach ($result as $row)
{
	$home_menu_name = $row['home_menu_name'];
	$home_menu_status = $row['home_menu_status'];
}
?>
<!DOCTYPE html>
<html dir="ltr" lang="en">
<head>

	<!-- Meta Tags -->	
	<meta name="viewport" content="width=device-width,initial-scale=1.0"/>
	<meta http-equiv="content-type" content="text/html; charset=UTF-8"/>


	<!-- Showing the SEO related meta tags data -->
	<?php
	
	// Getting the current page URL
	$cur_page = substr($_SERVER["SCRIPT_NAME"],strrpos($_SERVER["SCRIPT_NAME"],"/")+1);

	if($cur_page == 'news.php')
	{
		$statement = $pdo->prepare("SELECT * FROM tbl_news WHERE news_slug=?");
		$statement->execute(array($_REQUEST['slug']));
		$result = $statement->fetchAll(PDO::FETCH_ASSOC);							
		foreach ($result as $row) 
		{
		    $og_photo = $row['photo'];
		    $og_title = $row['news_title'];
		    $og_slug = $row['news_slug'];
			$og_description = substr(strip_tags($row['news_content']),0,200).'...';
			echo '<meta name="description" content="'.$row['meta_description'].'">';
			echo '<meta name="keywords" content="'.$row['meta_keyword'].'">';
			echo '<title>'.$row['meta_title'].'</title>';
		}
	}

	if($cur_page == 'page.php')
	{
		$statement = $pdo->prepare("SELECT * FROM tbl_page WHERE page_slug=?");
		$statement->execute(array($_REQUEST['slug']));
		$result = $statement->fetchAll(PDO::FETCH_ASSOC);							
		foreach ($result as $row) 
		{
			echo '<meta name="description" content="'.$row['meta_description'].'">';
			echo '<meta name="keywords" content="'.$row['meta_keyword'].'">';
			echo '<title>'.$row['meta_title'].'</title>';
		}
	}

	if($cur_page == 'category.php')
	{
		$statement = $pdo->prepare("SELECT * FROM tbl_category WHERE category_slug=?");
		$statement->execute(array($_REQUEST['slug']));
		$result = $statement->fetchAll(PDO::FETCH_ASSOC);							
		foreach ($result as $row)
		{
			echo '<meta name="description" content="'.$row['meta_description'].'">';
			echo '<meta name="keywords" content="'.$row['meta_keyword'].'">';
			echo '<title>'.$row['meta_title'].'</title>';
		}
	}

	if($cur_page == 'index.php')
	{
		$statement = $pdo->prepare("SELECT * FROM tbl_settings WHERE id=1");
		$statement->execute();
		$result = $statement->fetchAll(PDO::FETCH_ASSOC);							
		foreach ($result as $row) 
		{
			echo '<meta name="description" content="'.$row['meta_description_home'].'">';
			echo '<meta name="keywords" content="'.$row['meta_keyword_home'].'">';
			echo '<title>'.$row['meta_title_home'].'</title>';
		}
	}
	?>

	<!-- Favicon -->
	<link href="<?php echo BASE_URL; ?>assets/uploads/<?php echo $favicon; ?>" rel="shortcut icon" type="image/png">

	<!-- Stylesheets -->
	<link rel="stylesheet" href="<?php echo BASE_URL; ?>assets/css/bootstrap.min.css">
	<link rel="stylesheet" href="<?php echo BASE_URL; ?>assets/css/slicknav.css">
	<link rel="stylesheet" href="<?php echo BASE_URL; ?>assets/css/superfish.css">
	<link rel="stylesheet" href="<?php echo BASE_URL; ?>assets/css/animate.css">
	
	<link rel="stylesheet" href="<?php echo BASE_URL; ?>assets/css/jquery.bxslider.css">
	<link rel="stylesheet" href="<?php echo BASE_URL; ?>assets/css/hover.css">
	<link rel="stylesheet" href="<?php echo BASE_URL; ?>assets/css/magnific-popup.css">
	<link rel="stylesheet" href="<?php echo BASE_URL; ?>assets/css/style.css">
	<link rel="stylesheet" href="<?php echo BASE_URL; ?>assets/css/responsive.css">

	<script src="<?php echo BASE_URL; ?>assets/js/modernizr.min.js"></script>

	<?php if($cur_page == 'news.php'): ?>
		<meta property="og:title" content="<?php echo $og_title; ?>">
		<meta property="og:type" content="website">
		<meta property="og:url" content="<?php echo BASE_URL; ?>news/<?php echo $og_slug; ?>">
		<meta property="og:description" content="<?php echo $og_description; ?>">
		<meta property="og:image" content="<?php echo BASE_URL; ?>assets/uploads/<?php echo $og_photo; ?>">
	<?php endif; ?>

	<style>
		
		<?php $color = '#'.$color; ?>
		.sf-menu li:hover a,
		.department-v2 .department-tab .nav-tabs > li > a,
		.doctor-v1 .item .text h3 a,
		.pricing-v1 .pricing-item:hover .price .hexa .amount,
		.pricing-v1 .pricing-item:hover .price .hexa .time,
		.pricing-v1 .pricing-item:hover .button a,
		.news-v1 .date .day:before,
		.blog h4,
		.widget ul li a:hover,
		.doctor-detail .doctor-detail-tab .nav-tabs>li>a,
		.heading-normal h2,
		.doctor-v2 .text h3 a {
			color: <?php echo $color; ?>!important;
		}

		.top-bar,
		.sf-menu li li:hover,
		.slider p.button a,
		.service-v1 .text p.button a:hover,
		.department-v2 .department-tab .nav-tabs > li.active > a, 
		.department-v2 .department-tab .nav-tabs > li.active > a:hover, 
		.department-v2 .department-tab .nav-tabs > li.active > a:focus, 
		.department-v2 .department-tab .nav-tabs > li a:hover, 
		.department-v2 .department-tab .nav-tabs > li a:focus,
		.department-v2 .department-tab .department-content p.button a,
		.doctor-v1 .item:hover .text,
		.doctor-v1 .social-icons ul li a,
		.pricing-v1 .pricing-item:hover,
		.pricing-v1 .pricing-item .price .hexa,
		.pricing-v1 .pricing-item .button a,
		.testimonial-v1 .overlay,
		.news-v1 .date .day,
		.footer-social,
		.footer-social .item ul li,
		.footer-col h3:after,
		.scrollup i,
		.news-v1 .owl-controls .owl-prev:hover, 
		.news-v1 .owl-controls .owl-next:hover,
		.doctor-v1 .owl-controls .owl-prev:hover, 
		.doctor-v1 .owl-controls .owl-next:hover,
		.doctor-detail .doctor-single .social ul li a,
		.doctor-detail .contact .icon,
		.doctor-v2 .owl-controls .owl-prev:hover, 
		.doctor-v2 .owl-controls .owl-next:hover,
		.doctor-v2 .social-icons ul li a {
			background: <?php echo $color; ?>!important;
		}

		.department-v2 .department-tab .nav-tabs > li.active > a, 
		.department-v2 .department-tab .nav-tabs > li.active > a:hover, 
		.department-v2 .department-tab .nav-tabs > li.active > a:focus, 
		.department-v2 .department-tab .nav-tabs > li a:hover, 
		.department-v2 .department-tab .nav-tabs > li a:focus,
		.footer-social .item ul li a {
			border-color: <?php echo $color; ?>!important;
		}

		.pricing-v1 .pricing-item .price .hexa:before,
		.widget h4,
		.heading-normal h2 {
			border-bottom-color: <?php echo $color; ?>!important;
		}
		.pricing-v1 .pricing-item .price .hexa:after {
			border-top-color: <?php echo $color; ?>!important;
		}

	</style>
	
</head>
<body>

<?php
// Getting Facebook comment code from the database
$statement = $pdo->prepare("SELECT * FROM tbl_comment WHERE id=1");
$statement->execute();
$result = $statement->fetchAll(PDO::FETCH_ASSOC);							
foreach ($result as $row) 
{
	echo $row['code_body'];
}
?>
	
	<?php if($preloader_status == 'On'): ?>
	<div id="preloader">
		<div id="status"></div>
	</div>
	<?php endif; ?>
	
	<div class="page-wrapper">
		
		<!-- Top Bar Start -->
		<div class="top-bar">
			<div class="container">
				<div class="row">
					<div class="col-md-4 top-contact">
						<div class="list">
							<i class="fa fa-envelope"></i> <a href="mailto:<?php echo $contact_email; ?>"><?php echo $contact_email; ?></a>
						</div>
						<div class="list">
							<i class="fa fa-phone"></i> <?php echo $contact_phone; ?>
						</div>
					</div>
					<div class="col-md-8 top-social">
						<ul>
							<?php
							// Getting and showing all the social media icon URL from the database
							$statement = $pdo->prepare("SELECT * FROM tbl_social");
							$statement->execute();
							$result = $statement->fetchAll(PDO::FETCH_ASSOC);							
							foreach ($result as $row) 
							{
								if($row['social_url']!='')
								{
									echo '<li><a href="'.$row['social_url'].'"><i class="'.$row['social_icon'].'"></i></a></li>';
								}
							}
							?>
						</ul>
					</div>
				</div>
			</div>
		</div>
		<!-- Top Bar End -->

		<!-- Header Start -->
		<header>
			<div class="container">
				<div class="row">
					<div class="col-md-4 logo">
						<a href="<?php echo BASE_URL; ?>"><img src="<?php echo BASE_URL; ?>assets/uploads/<?php echo $logo; ?>" alt=""></a>
					</div>
					<div class="col-md-8 nav-wrapper">

						<!-- Nav Start -->
						<div class="nav">
							<ul class="sf-menu">

								<?php if($home_menu_status == 'Show'): ?>
								<li>
									<a href="<?php echo BASE_URL; ?>">
										<span class="menu-title"><?php echo $home_menu_name; ?></span>
									</a>
								</li>
								<?php endif; ?>

								<?php
                                $q = $pdo->prepare("SELECT * FROM tbl_menu WHERE menu_parent=? ORDER BY menu_order ASC");
                                $q->execute(array(0));
                                $res = $q->fetchAll();
                                foreach ($res as $row) {
                                    
                                    $r = $pdo->prepare("SELECT * FROM tbl_menu WHERE menu_parent=?");
                                    $r->execute(array($row['menu_id']));
                                    $total = $r->rowCount();

                                    echo '<li>';
                                    
                                    if( $row['page_id'] == 0 && $row['category_id'] == 0) {


                                    	// Check if product
                                    	if($row['menu_name'] == 'Product') {
                                    		?>
											<li><a href="javascript:void(0);">PRODUCT</a>
												<ul>
													<?php
													$statement6 = $pdo->prepare("SELECT * FROM tbl_top_category");
													$statement6->execute();
													$result6 = $statement6->fetchAll(PDO::FETCH_ASSOC);
													foreach ($result6 as $row6) {
														?>
														<li><a href="product-category.php?id=<?php echo $row6['tcat_id']; ?>&type=top-category"><?php echo $row6['tcat_name']; ?></a>
															<ul>
																<?php
																$statement1 = $pdo->prepare("SELECT * FROM tbl_mid_category WHERE tcat_id=?");
																$statement1->execute(array($row6['tcat_id']));
																$result1 = $statement1->fetchAll(PDO::FETCH_ASSOC);
																foreach ($result1 as $row1) {
																	?>
																	<li><a href="product-category.php?id=<?php echo $row1['mcat_id']; ?>&type=mid-category"><?php echo $row1['mcat_name']; ?></a>
																		<ul>
																			<?php
																			$statement2 = $pdo->prepare("SELECT * FROM tbl_end_category WHERE mcat_id=?");
																			$statement2->execute(array($row1['mcat_id']));
																			$result2 = $statement2->fetchAll(PDO::FETCH_ASSOC);
																			foreach ($result2 as $row2) {
																				?>
																				<li><a href="product-category.php?id=<?php echo $row2['ecat_id']; ?>&type=end-category"><?php echo $row2['ecat_name']; ?></a></li>
																				<?php
																			}
																			?>
																		</ul>
																	</li>
																	<?php
																}
																?>
															</ul>
														</li>
														<?php
													}
													?>
												</ul>
											</li>
                                    		<?php
                                    	} else {
                                    		if($row['menu_url'] == '') {
	                                            $final_url = 'javascript:void(0);';
	                                        } else {
	                                            $final_url = $row['menu_url'];
	                                        }                                       
	                                        ?>
	                                        <a href="<?php echo $final_url; ?>"><?php echo $row['menu_name']; ?><?php if($total) {echo '<em></em>';}; ?></a>
	                                        <?php
                                    	}
                                        
                                    } else {

                                    	if($row['page_id']!=0) {
	                                    	$r = $pdo->prepare("SELECT * FROM tbl_page WHERE page_id=? ");
	                                        $r->execute(array($row['page_id']));
	                                        $res1 = $r->fetchAll();
	                                        foreach ($res1 as $row1) {
	                                            ?>
	                                            <a href="<?php echo BASE_URL.'page/'.$row1['page_slug']; ?>"><?php echo $row1['page_name']; ?><?php if($total) {echo '<em></em>';}; ?></a>
	                                            <?php
	                                        }	
                                    	}

                                    	if($row['category_id']!=0) {
	                                    	$r = $pdo->prepare("SELECT * FROM tbl_category WHERE category_id=? ");
	                                        $r->execute(array($row['category_id']));
	                                        $res1 = $r->fetchAll();
	                                        foreach ($res1 as $row1) {
	                                            ?>
	                                            <a href="<?php echo BASE_URL.'category/'.$row1['category_slug']; ?>"><?php echo $row1['category_name']; ?><?php if($total) {echo '<em></em>';}; ?></a>
	                                            <?php
	                                        }	
                                    	}
                                        
                                    }




                                    // Checking for sub-menu
                                    $r = $pdo->prepare("SELECT * FROM tbl_menu WHERE menu_parent=?");
                                    $r->execute(array($row['menu_id']));
                                    $total = $r->rowCount();
                                    if($total) {
                                        echo '<ul>';

                                        $res1 = $r->fetchAll();
                                        foreach ($res1 as $row1) {
                                            //
                                            echo '<li>';
                                            if( $row1['page_id'] == 0 && $row1['category_id'] == 0 ) {
                                                if($row1['menu_url'] == '') {
                                                    $final_url1 = 'javascript:void(0);';
                                                } else {
                                                    $final_url1 = $row1['menu_url'];
                                                }
                                                ?>
                                                <a href="<?php echo $final_url1; ?>"><?php echo $row1['menu_name']; ?></a>
                                                <?php
                                            } else {

                                            	if($row1['page_id'] != 0) {
	                                            	$s = $pdo->prepare("SELECT * FROM tbl_page WHERE page_id=?");
	                                                $s->execute(array($row1['page_id']));
	                                                $res2 = $s->fetchAll();
	                                                foreach ($res2 as $row2) {
	                                                    ?>
	                                                    <a href="<?php echo BASE_URL.'page/'.$row2['page_slug']; ?>"><?php echo $row2['page_name']; ?></a>
	                                                    <?php
	                                                }	
                                            	}

                                            	if($row1['category_id'] != 0) {
	                                            	$s = $pdo->prepare("SELECT * FROM tbl_category WHERE category_id=?");
	                                                $s->execute(array($row1['category_id']));
	                                                $res2 = $s->fetchAll();
	                                                foreach ($res2 as $row2) {
	                                                    ?>
	                                                    <a href="<?php echo BASE_URL.'category/'.$row2['category_slug']; ?>"><?php echo $row2['category_name']; ?></a>
	                                                    <?php
	                                                }	
                                            	}
                                                


                                            }
                                            echo '</li>';
                                            //
                                        }

                                        echo '</ul>';
                                    }


                                    echo '</li>';

                                }
                                ?>

							</ul>
						</div>
						<!-- Nav End -->

					</div>
				</div>
			</div>
		</header>
		<!-- Header End -->